# Module `gears.debug`

### Info:

- Author: Uli Schlachter
- Copyright: 2010 Uli Schlachter
- Release: v3.5.1

## Functions

assert (cond, message) | Check that the given condition holds true, else throw an error
dump_return (data, tag) | Inspect the value in data.
dump (data, tag) | Print the table (or any other value) to the console.

## Functions

assert (cond, message)
  Check that the given condition holds true, else throw an error

  ### Parameters:

  - cond If this is false, throw a lua error with a backtrace.
  - message Message to print in the error (optional).
dump_return (data, tag)
  Inspect the value in data.

  ### Parameters:

  - data Value to inspect.
  - tag The name of the value.

  ### Returns:

  a string that contains the expanded value of data.
dump (data, tag)
  Print the table (or any other value) to the console.

  ### Parameters:

  - data Table to print.
  - tag The name of the table.

generated by LDoc 1.3